%perl_module XML-Parser 2.34 5_4

Summary: A perl module for parsing XML documents.
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/dist/%{pkgname}/
Source0: http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{pkgname}-%{version}.tar.gz
#Buildarch: noarch
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: expat-devel

%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README MANIFEST Changes 
%{perl_vendorarch}/XML/Parser.pm
%{perl_vendorarch}/XML/Parser
%{perl_vendorarch}/auto/XML/Parser
%{perl_man3dir}/XML::Parser.3pm*
%{perl_man3dir}/XML::Parser::*.3pm*

%changelog
* Wed Dec  3 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- initial build.
